org.apache.calcite.avatica

## Class MetaImpl.MetaTypeInfo

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaTypeInfo

All Implemented Interfaces:
  MetaImpl.Named

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaTypeInfo
    extends Object
    implements MetaImpl.Named

Metadata describing type info.

### Field Summary

Fields
`boolean` `autoIncrement`
`boolean` `caseSensitive`
`String` `createParams`
`int` `dataType`
`boolean` `fixedPrecScale`
`String` `literalPrefix`
`String` `literalSuffix`
`String` `localTypeName`
`Short` `maximumScale`
`Short` `minimumScale`
`short` `nullable`
`Integer` `numPrecRadix`
`Integer` `precision`
`short` `searchable`
`Integer` `sqlDataType`
`Integer` `sqlDatetimeSub`
`String` `typeName`
`boolean` `unsignedAttribute`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.MetaTypeInfo(String typeName, int dataType, Integer precision, String literalPrefix, String literalSuffix, short nullable, boolean caseSensitive, short searchable, boolean unsignedAttribute, boolean fixedPrecScale, boolean autoIncrement, Short minimumScale, Short maximumScale, Integer numPrecRadix)`

### Method Summary

Methods
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeName

    public final String typeName

#### dataType

    public final int dataType

#### precision

    public final Integer precision

#### literalPrefix

    public final String literalPrefix

#### literalSuffix

    public final String literalSuffix

#### createParams

    public final String createParams

#### nullable

    public final short nullable

#### caseSensitive

    public final boolean caseSensitive

#### searchable

    public final short searchable

#### unsignedAttribute

    public final boolean unsignedAttribute

#### fixedPrecScale

    public final boolean fixedPrecScale

#### autoIncrement

    public final boolean autoIncrement

#### localTypeName

    public final String localTypeName

#### minimumScale

    public final Short minimumScale

#### maximumScale

    public final Short maximumScale

#### sqlDataType

    public final Integer sqlDataType

#### sqlDatetimeSub

    public final Integer sqlDatetimeSub

#### numPrecRadix

    public final Integer numPrecRadix

### Constructor Detail

#### MetaImpl.MetaTypeInfo

    public MetaImpl.MetaTypeInfo(String typeName,
                         int dataType,
                         Integer precision,
                         String literalPrefix,
                         String literalSuffix,
                         short nullable,
                         boolean caseSensitive,
                         short searchable,
                         boolean unsignedAttribute,
                         boolean fixedPrecScale,
                         boolean autoIncrement,
                         Short minimumScale,
                         Short maximumScale,
                         Integer numPrecRadix)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`